Uploaded image for project: 'Lucene - Core'
  1. Lucene - Core
  2. LUCENE-4850

Update Clover dependency and License to allow processing Java 7 source code

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 6.0
    • Fix Version/s: 4.3, 6.0
    • Component/s: general/build
    • Labels:
      None
    • Lucene Fields:
      New

      Description

      We moved to Java 7 in LUCENE-4747. But Clover 2.6.3 only allows Java 6. We should upgrade clover to the latest version (at least in trunk) and make "ant run-clover" work again. We have to replace the ASF License File with a new one for this to work.

        Attachments

        1. LUCENE-4850.patch
          3 kB
          Uwe Schindler

          Issue Links

            Activity

              People

              • Assignee:
                uschindler Uwe Schindler
                Reporter:
                uschindler Uwe Schindler
              • Votes:
                0 Vote for this issue
                Watchers:
                0 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: